{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>time_tracking_entries:read</code>\n\nReturns a list of time tracking entries filtered to a task, attributed project, portfolio or user.","properties":{"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"task":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the task to filter time tracking entries by."},"attributable_to":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the project the time tracking entries are attributed to."},"portfolio":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the portfolio to filter time tracking entries by."},"user":{"type":"string","examples":["12345"],"description":"*Deprecated - please use assignee instead* Globally unique identifier for the user the time tracking entry's logged time is attributed to, to filter time tracking entries by."},"assignee":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the user the time tracking entry's logged time is attributed to, to filter time tracking entries by."},"workspace":{"type":"string","examples":["98765"],"description":"Globally unique identifier for the workspace. At least one of `entered_on_start_date` or `entered_on_end_date` must be provided when filtering by workspace."},"entered_on_start_date":{"type":"string","format":"date","examples":["2025-01-01"],"description":"The start date for filtering time tracking entries by when they were entered."},"entered_on_end_date":{"type":"string","format":"date","examples":["2025-12-31"],"description":"The end date for filtering time tracking entries by when they were entered."},"timesheet_approval_status":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the timesheet approval status to filter time tracking entries by."},"limit":{"type":"integer","minimum":1,"maximum":100,"examples":[50],"description":"Results per page.\nThe number of objects to return per page. The value must be between 1 and 100."},"offset":{"type":"string","examples":["eyJ0eXAiOJiKV1iQLCJhbGciOiJIUzI1NiJ9"],"description":"Offset token.\nAn offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results.\n*Note: You can only pass in an offset that was returned to you via a previously paginated request.*"},"opt_fields":{"type":"array","items":{"type":"string","enum":["assignee","assignee.name","attributable_to","attributable_to.name","attributable_to.resource_subtype","categories","categories.color","categories.name","created_by","created_by.name","duration_minutes","entered_on","offset","path","uri"]},"examples":[["assignee","assignee.name","attributable_to","attributable_to.name","attributable_to.resource_subtype","categories","categories.color","categories.name","created_by","created_by.name","duration_minutes","entered_on","offset","path","uri"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false},"name":"Get multiple time tracking entries","id":"asana.gettimetrackingentries","example":{},"maxRequests":1,"summary":false}}